/*
AUTORE: Manuel Vichi
Conta numeri
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
void contaValoriUguali(int array[], size_t array_size) {
	for (size_t i = 0; i < array_size; i++) {
		int valoreVolte = 0;
		for (size_t j = 0; j < array_size; ++j) {
			if (array[j] == array[i]) {
				valoreVolte++;
			}
		}
		cout << "Il valore " << array[i] << " compare " << valoreVolte << " volte." << endl;
	}
}
int main() {
	int array[] = {-1, 0, 1, 2, 0, 2, -1, 7, 9};
	contaValoriUguali(array,9);
    return 0;
}
